summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-04-12 19:35:11 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:37:53 +0200
commita7c3b4f62b40315e6eca57e772f21181d956285f (patch)
treebbf216a260d8cf0bc4fdea3426be09e6b021f0bf /network
parente9a7006cde1ba891e7892d1ff12b25b2cadb8d29 (diff)
downloadslackbuilds-a7c3b4f62b40315e6eca57e772f21181d956285f.tar.gz
slackbuilds-a7c3b4f62b40315e6eca57e772f21181d956285f.tar.xz
network/openvas-administrator: Added (OpenVAS Settings Management)
Diffstat (limited to 'network')
-rw-r--r--network/openvas-administrator/README22
-rw-r--r--network/openvas-administrator/doinst.sh22
-rwxr-xr-xnetwork/openvas-administrator/openvas-administrator.SlackBuild90
-rw-r--r--network/openvas-administrator/openvas-administrator.info10
-rw-r--r--network/openvas-administrator/rc.openvasad32
-rw-r--r--network/openvas-administrator/slack-desc19
6 files changed, 195 insertions, 0 deletions
diff --git a/network/openvas-administrator/README b/network/openvas-administrator/README
new file mode 100644
index 0000000000..80246917bb
--- /dev/null
+++ b/network/openvas-administrator/README
@@ -0,0 +1,22 @@
+OpenVAS stands for Open Vulnerability Assessment System and is a network
+security scanner with associated tools like a graphical user front-end. The
+core component is a server with a set of network vulnerability tests (NVTs)
+to detect security problems in remote systems and applications.
+
+OpenVAS products are Free Software under GNU GPL and a fork of Nessus.
+
+To build a complete OpenVAS scanner installation, however, you have to compile
+and install the packages in the following sequence:
+ 1. openvas-libraries
+ 2. openvas-scanner
+ 3. openvas-client
+
+The openvas-client GUI is needed to interact with the OpenVAS scanner, however
+there are some new optional modules:
+ 1. openvas-manager for storing and organizing scans on a central server in a
+ SQL database
+ 2. openvas-administrator for User-, Feed- and Settings-Management
+ 3. greenbone-security-assistant for a web-based Vulnerability Management
+
+This package provides the OpenVAS administrator together with an rc script to
+start it at system startup.
diff --git a/network/openvas-administrator/doinst.sh b/network/openvas-administrator/doinst.sh
new file mode 100644
index 0000000000..7a0957856f
--- /dev/null
+++ b/network/openvas-administrator/doinst.sh
@@ -0,0 +1,22 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same perms on rc.openvasad.new:
+if [ -e etc/rc.d/rc.openvasad ]; then
+ cp -a etc/rc.d/rc.openvasad etc/rc.d/rc.openvasad.new.incoming
+ cat etc/rc.d/rc.openvasad.new > etc/rc.d/rc.openvasad.new.incoming
+ mv etc/rc.d/rc.openvasad.new.incoming etc/rc.d/rc.openvasad.new
+fi
+
+config etc/rc.d/rc.openvasad.new
+config etc/openvas/openvasad_log.conf.new
+
diff --git a/network/openvas-administrator/openvas-administrator.SlackBuild b/network/openvas-administrator/openvas-administrator.SlackBuild
new file mode 100755
index 0000000000..39a7f2da0f
--- /dev/null
+++ b/network/openvas-administrator/openvas-administrator.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for OpenVAS administrator.
+#
+# Copyright 2010-2011 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=openvas-administrator
+VERSION=${VERSION:-0.7.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIBDIR=/usr/lib \
+ -DSYSCONFDIR=/etc \
+ -DLOCALSTATEDIR=/var \
+ -DMANDIR=/usr/man \
+ -DDOCDIR=/usr/doc/openvas-administrator-$VERSION
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# install rc script
+install -D -m0755 -oroot -groot $CWD/rc.openvasad $PKG/etc/rc.d/rc.openvasad.new
+
+# config file
+mv $PKG/etc/openvas/openvasad_log.conf $PKG/etc/openvas/openvasad_log.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/openvas-administrator/openvas-administrator.info b/network/openvas-administrator/openvas-administrator.info
new file mode 100644
index 0000000000..2d9aaea6f8
--- /dev/null
+++ b/network/openvas-administrator/openvas-administrator.info
@@ -0,0 +1,10 @@
+PRGNAM="openvas-administrator"
+VERSION="0.7.0"
+HOMEPAGE="http://www.openvas.org/"
+DOWNLOAD="http://wald.intevation.org/frs/download.php/707/openvas-administrator-0.7.0.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="3bcdb96c4de796916ea2d7ebd5352497"
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/network/openvas-administrator/rc.openvasad b/network/openvas-administrator/rc.openvasad
new file mode 100644
index 0000000000..78f167a47f
--- /dev/null
+++ b/network/openvas-administrator/rc.openvasad
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+# Get OpenVAS options
+. /etc/rc.d/rc.openvas.conf
+
+PIDFILE="/var/run/openvasad.pid"
+
+start() {
+ echo "Starting OpenVAS administrator..."
+ openvasad --port=${ADM_PORT} ${ADM_OPTIONS}
+}
+
+stop() {
+ echo "Stopping OpenVAS administrator..."
+ kill `cat $PIDFILE`
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ sleep 1
+ start
+ ;;
+ *)
+ echo "Usage: $0 (start|stop|restart)"
+esac
diff --git a/network/openvas-administrator/slack-desc b/network/openvas-administrator/slack-desc
new file mode 100644
index 0000000000..378ea334be
--- /dev/null
+++ b/network/openvas-administrator/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+openvas-administrator: OpenVAS administrator (OpenVAS administrator)
+openvas-administrator:
+openvas-administrator: OpenVAS stands for Open Vulnerability Assessment System and is a
+openvas-administrator: network security administrator with associated tools like a graphical user
+openvas-administrator: front-end. The core component is a server with a set of network
+openvas-administrator: vulnerability tests (NVTs) to detect security problems in remote
+openvas-administrator: systems and applications.
+openvas-administrator:
+openvas-administrator: OpenVAS products are Free Software under GNU GPL and a fork of Nessus.
+openvas-administrator:
+openvas-administrator: This package provides the OpenVAS administrator.